<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button defaultHref="/tabs/carga"></ion-back-button>
      <ion-title>Paso 1 de 3</ion-title>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content>

  <ion-list lines="none">
    <ion-item lines="none" style="padding-top:5px;padding-left: 24px; padding-bottom:10px;">
      <label
      class="main-title">Ingresa tu carga</label>
    </ion-item>
  </ion-list>
  <div style="padding-left: 24px;">
    <ion-label style="padding-right: 5px">Litros</ion-label>
    <ion-label *ngIf="carga.auto.fuel === 'Regular'" style="background:var(--ion-color-carga-regular); color:white; padding: 5px; border-radius: 5px; ">Regular</ion-label>
    <ion-label *ngIf="carga.auto.fuel === 'Premium'" style="background:var(--ion-color-carga-premium); color:white; padding: 5px; border-radius: 5px; ">Premium</ion-label>
    <ion-label *ngIf="carga.auto.fuel === 'Diesel'" style="background:var(--ion-color-carga-diesel); color:white; padding: 5px; border-radius: 5px; ">Diesel</ion-label>
  </div>
  <div class="ion-padding">
    <ion-label class="big-label">
      {{carga.litros}} L
    </ion-label>
    <div style=" display:flex; flex-direction:row; justify-content:center; align-items:center; padding:30px;">
      <ion-label class="sub-title" style="padding:5px;">5</ion-label>
        <ion-range min="5" max="80" [pin]="true" [pinFormatter]="pinFormatter" (ionChange)="updateLitros($event)" [(ngModel)]="carga.litros"></ion-range>
      <ion-label style="padding:5px;" class="sub-title">80</ion-label>
    </div>
    <ion-label class="big-label" style="text-align:center">
      <h1 class="ion-padding">$</h1>
      <ion-input type="number"  [(ngModel)]="carga.total" (keyup.enter)="onTotalChange($event)"/>
      <h1 class="ion-padding">MXN</h1>
    </ion-label>
    <ion-text>
      Sólo se pueden ingresar litros exactos sin decimales, por lo que si  ingresas un monto en pesos, se redondeara al monto mas cercano.
    </ion-text>
  </div>
  <ion-button expand="block" (click)="continuar()" color="primary">
    Continuar
  </ion-button>
</ion-content>

